@charset "UTF-8";

:root {
	interpolate-size: allow-keywords;
	--bl: #000;
	--gray-02: #ccc;
	--grad-01: linear-gradient(90deg, var(--MAIN) 0%, var(--OTH) 100%);
	--grad-01-rev: linear-gradient(0deg, var(--MAIN) 0%, var(--LMAIN) 100%);
	--grad-02: linear-gradient(90deg, var(--ACC) 0%, var(--LACC) 100%);
	--grad-02-rev: linear-gradient(0deg, var(--ACC) 0%, var(--LACC) 100%);
	--grad-03: linear-gradient(90deg, var(--OTH) 0%, var(--LOTH) 100%);
	--grad-03-rev: linear-gradient(0deg, var(--OTH) 0%, var(--LOTH) 100%);
	--transition: all 0.3s ease-in-out;
	--oversize: calc((100% - 100vw) / 2);
}

/* ==================================
リセット・調整・ファンデーション
===================================== */
/* 高さを画像自体の高さにする */
:where(img) {
	vertical-align: bottom;
}
:where(.thumb),
:where([class*="__thumb"]) {
	vertical-align: bottom;
	background-color: unset;
}

/*---------- アクセシビリティ ----------*/
/* アイコンをスクリーンリーダーに読み上げられないようにする */
i,
[class*="material-icons"],
[class*="material-symbols"] {
	speak: none;
}

/*---------- BMパーツの調整 ----------*/
/* 疑似要素の削除 */
.no-before::before,
.no-after::after {
	content: unset !important;
}

/* スクロールした後のヘッダーのボタンの高さが変わるときにイージング */
.lib-induce__outer li:has(.lib-induce__btn) {
	transition: all 0.2s;
}

/* ボタンのアイコンを「→」に変更 */
:where(.lib-link__btn):not([class*="ico-after-"]):not([class*="ico-before-"]) > .txt::after {
	content: "\ea03";
	font-size: 1em;
}

/* ボタンのアイコンに●の背景色を入れる */
:where(.lib-link__btn):not([class*="ico-after-"]):not([class*="ico-before-"]) {
	> .txt::after {
		color: var(--MAIN);
		background-color: var(--WHT);
		padding: 0.5em;
		border-radius: 50%;
		margin-top: -0.875em;
		line-height: 1;
		font-size: 0.675em;
		transition: var(--transition);
	}
	&:hover > .txt::after {
		color: var(--WHT);
		background-color: var(--MAIN);
	}
	&.bg-wht > .txt::after {
		color: var(--WHT);
		background-color: var(--MAIN);
	}
	&.bg-wht:hover > .txt::after {
		color: var(--MAIN);
		background-color: var(--WHT);
	}
	&.border-accent > .txt::after {
		color: var(--ACC);
	}
	&.border-accent:hover > .txt::after {
		color: var(--WHT);
		background-color: var(--ACC);
	}
	&.border-accent.bg-wht > .txt::after {
		color: var(--WHT);
		background-color: var(--ACC);
	}
	&.border-accent.bg-wht:hover > .txt::after {
		color: var(--ACC);
		background-color: var(--WHT);
	}
	&.border-def > .txt::after {
		color: var(--DEF);
	}
	&.border-def:hover > .txt::after {
		color: var(--WHT);
		background-color: var(--DEF);
	}
}

/*---------- BMパーツのパターン増設 ----------*/
/* ①②③...のリストマーカー */
:where(.lib-indent__list).--circle > li::before {
	content: counter(ol-bullet);
	text-align: center;
	border: 1px solid var(--DEF);
	border-radius: 50%;
	font-size: 0.75em;
	line-height: 1;
	width: 1.5em;
	height: 1.5em;
	aspect-ratio: 1/1;
	padding: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	margin-top: 0.4%;
	/* margin-top: 2px; */
}

/* ※のリストマーカー */
:where(.lib-indent__list).--asterisk {
	> li {
		padding-left: 1.8em;
		position: relative;
	}
	> li::before {
		/* counter-increment: ol-bullet; */
		content: "※";
		display: block;
		width: 2em;
		text-align: center;
		text-align: right;
		position: absolute;
		left: 0;
		top: 0;
		padding-right: 0.5em;
	}
}

/* 「―」（横線）のリストマーカー */
:where(.lib-indent__list).--line {
	> li {
		position: relative;
		padding-left: 2em;
	}
	> li::before {
		content: "―";
		position: absolute;
		top: 0;
		left: 0;
	}
}

/* table 罫線パターン */
:where(table).--border {
	> thead,
	th {
		background-color: unset;
	}
	> thead th:first-child {
		border-left-color: var(--GRY);
	}
	> thead th:last-child {
		border-right-color: var(--GRY);
	}
	th,
	td {
		border: unset;
		border: 1px solid var(--GRY);
	}
	th {
		color: var(--DEF);
	}
	tbody > tr > th:first-child {
		border-left-color: var(--GRY);
	}
}

/* table 下線パターン */
:where(table).--border-bottom {
	border: unset;
	th,
	> thead {
		background-color: unset;
	}
	th,
	td {
		border: unset;
		border-bottom: 1px solid var(--GRY);
	}
	th {
		color: var(--DEF);
		@media print, screen and (max-width: 991px) {
			border-top: 1px solid var(--DGRY);
			margin-top: -1px;
		}
	}
	&.--even tbody > tr:nth-child(even) > th {
		background-color: var(--LGRY);
	}
}

/* table 下線パターン2 見出しセルの下線はメインカラー */
:where(table).--border-bottom-main {
	border: unset;
	th,
	> thead {
		background-color: unset;
	}
	th,
	td {
		border: unset;
		border-bottom: 1px solid var(--GRY);
	}
	th {
		color: var(--DEF);
		border-bottom: 1px solid var(--MAIN);
		@media print, screen and (max-width: 991px) {
			border-top: 1px solid var(--MAIN);
			border-bottom: 1px solid var(--GRY);
			margin-top: -1px;
		}
	}
	&.--even tbody > tr:nth-child(even) > th {
		background-color: var(--LGRY);
	}
}

/* table .lib-table__03に少し余白を入れる */
:where(.lib-table__03).--padding {
	--cell-padding: 0.5em;
	td,
	th {
		padding: var(--cell-padding);
	}
}

/* メディアのスライダーをリストにする */
/* swiper用のclassを削除or無効にした上で利用 */
.lib-blog-001.--list {
	.swiper-wrapper {
		flex-direction: column;
		.swiper-slide {
			width: 100%;
		}
	}
	.lib-media__thumb,
	.lib-media__tag,
	.lib-swiper__control,
	.lib-media__txt {
		display: none;
	}
	.lib-media__txtarea {
		display: flex;
		flex-direction: column;
		gap: 0.25em 1em;
		padding-bottom: 1em;
		border-bottom: 1px solid var(--GRY);
		@media print, screen and (min-width: 992px) {
			flex-direction: row;
			align-items: center;
		}
		.lib-media__category {
			order: 2;
		}
		.lib-media__title {
			order: 3;
		}
		.lib-media__txt {
			order: 4;
		}
		.lib-media__time {
			order: 1;
			align-items: flex-start;
			margin-top: 0;
			padding-top: 0;
			border-top: unset;
			min-height: unset;
			@media print, screen and (min-width: 992px) {
				text-wrap: nowrap;
			}
		}
	}
}
/* 「記事公開日」のみ表示させる
（「記事更新日」を非表示） */
.lib-blog-001.--list {
	.lib-media__time:has(p + p) p:nth-of-type(2),
		.lib-media__time:has(p + p) p span {
			display: none;
	}
}

.lib-cnt-protrude__outer>*>[class*=__txtarea].bg-shadow::before {
	-webkit-box-shadow: var(--bs-box-shadow);
	box-shadow: var(--bs-box-shadow);
}

/* ==================================
タイポ
===================================== */
/* ゴシックとか */
.ff-notosans {
	font-family: "Noto Sans JP", serif;
}
.ff-lato {
	font-family: "Lato", sans-serif;
	/* letter-spacing: 0.05rem; */
}
.ff-oswald {
	font-family: "Oswald", sans-serif;
}
.ff-poppins {
	font-family: "Poppins", sans-serif;
}
.ff-zenmarugo {
	font-family: "Staatliches", sans-serif;
}
.ff-montserrat {
	font-family: "Montserrat", sans-serif;
}
.ff-staatliches {
	font-family: "Zen Maru Gothic", sans-serif;
}
.ff-m-plus-rounded-1c {
	font-family: "M PLUS Rounded 1c", sans-serif;
	transform: rotate(0.07deg);
}
.ff-inter {
	font-family: "Inter";
}
.ff-jost {
	font-family: "Jost", sans-serif;
}

/* 明朝とか */
.ff-notoserif {
	font-family: "Noto Serif JP", serif;
}
.ff-yumincho {
	font-family: "Yu Mincho", "YuMincho", serif;
}
.ff-shippori {
	font-family: "Shippori Mincho", serif;
}
.ff-shippori-b1 {
	font-family: "Shippori Mincho B1", serif;
}
.ff-corinthia {
	font-family: "Corinthia", cursive;
}
@font-face {
    font-family: 'Abuget';
    src: url('../../dcms_media/fonts/Abuget.woff2') format('woff2'), 
         url('../../dcms_media/fonts/Abuget.woff') format('woff');
	font-display: swap;
}
.ff-abuget {
    font-family: 'Abuget', cursive, sans-serif;
}

/* font-weight */
.fw-600 {
	font-weight: 600 !important;
}
.fw-800 {
	font-weight: 800 !important;
}
.fw-900 {
	font-weight: 900 !important;
}

/* font-size */
@media print, screen and (min-width: 992px) {
	.fs-lg-50 {
		font-size: 3.125rem;
	}
}
@media print, screen and (min-width: 992px) {
	.fs-lg-60 {
		font-size: 3.75rem;
	}
}

/* 縦書き */
.vertical-rl {
	writing-mode: vertical-rl;
}

.text-hukuro {
	/* -webkit-text-stroke: 2px var(--bl2);
	text-stroke: 2px var(--bl2); */
	text-shadow: 2px 2px 1px var(--bl2), -2px 2px 1px var(--bl2), 2px -2px 1px var(--bl2), -2px -2px 1px var(--bl2), 2px 0px 1px var(--bl2), 0px 2px 1px var(--bl2), -2px 0px 1px var(--bl2),
		0px -2px 1px var(--bl2);
}
.text-hukuro-wht {
	/* -webkit-text-stroke: 2px var(--WHT);
	text-stroke: 2px var(--WHT); */
	/* text-shadow: 2px 2px 1px var(--WHT), -2px 2px 1px var(--WHT), 2px -2px 1px var(--WHT), -2px -2px 1px var(--WHT), 2px 0px 1px var(--WHT), 0px 2px 1px var(--WHT), -2px 0px 1px var(--WHT),
	0px -2px 1px var(--WHT); */
	text-shadow    : 
		1px  1px 0px var(--WHT),
		-1px  1px 0px var(--WHT),
		1px -1px 0px var(--WHT),
		-1px -1px 0px var(--WHT),
		1px  0px 0px var(--WHT),
		0px  1px 0px var(--WHT),
		-1px  0px 0px var(--WHT),
		0px -1px 0px var(--WHT);
}

/* box-decoration-break */
.decoration-break {
	box-decoration-break: clone;
	-webkit-box-decoration-break: clone;
}

/* マーカーのあしらい */
mark {
	background: linear-gradient(transparent 60%, yellow 60%);
}

/* テキストをグラデーションにするベース */
.text-grad {
	-webkit-background-clip: text !important;
	-webkit-text-fill-color: transparent !important;
	display: inline-block;
}

/* ==================================
ユーティリティー
===================================== */
/*---------- 画像の比率 ----------*/
.u-aspect {
	/* 縦横比はstyleでCSS変数を書き換える
	ex) style="--aspect: 2.51 / 1;" */
	--aspect: auto;
	@media print, screen and (min-width: 576px) {
		--aspect-sm: var(--aspect);
	}
	@media print, screen and (min-width: 768px) {
		--aspect-md: var(--aspect-sm);
	}
	@media print, screen and (min-width: 992px) {
		--aspect-lg: var(--aspect-md);
	}
	@media print, screen and (min-width: 1200px) {
		--aspect-xl: var(--aspect-lg);
	}
	@media print, screen and (min-width: 1400px) {
		--aspect-xxl: var(--aspect-xl);
	}

	img {
		width: 100%;
		height: 100%;
		object-fit: cover;
		aspect-ratio: var(--aspect);
		@media print, screen and (min-width: 576px) {
			aspect-ratio: var(--aspect-sm);
		}
		@media print, screen and (min-width: 768px) {
			aspect-ratio: var(--aspect-md);
		}
		@media print, screen and (min-width: 992px) {
			aspect-ratio: var(--aspect-lg);
		}
		@media print, screen and (min-width: 1200px) {
			aspect-ratio: var(--aspect-xl);
		}
		@media print, screen and (min-width: 1400px) {
			aspect-ratio: var(--aspect-xxl);
		}
	}

	&.--4x3 img {
		aspect-ratio: 4 / 3;
	}
	&.--3x2 img {
		aspect-ratio: 3 / 2;
	}
	&.--16x9 img {
		aspect-ratio: 16 / 9;
	}
	&.--21x9 img {
		aspect-ratio: 21 / 9;
	}
	&.--1x1 img {
		aspect-ratio: 1 / 1;
	}
	&.--2x1 img {
		aspect-ratio: 2 / 1;
	}
	&.--3x1 img {
		aspect-ratio: 3 / 1;
	}
	&.--4x1 img {
		aspect-ratio: 4 / 1;
	}
	&.--7x8 img {
		aspect-ratio: 7 / 8;
	}
	&.--9x16 img {
		aspect-ratio: 9 / 16;
	}
	&.--2x3 img {
		aspect-ratio: 2 / 3;
	}
	&.--3x4 img {
		aspect-ratio: 3 / 4;
	}

	/* 画像全体を枠内に入れたいとき */
	&.--contain img,
	.--contain img {
		object-fit: contain;
	}
}

/*---------- 角丸 ----------*/
[class*="u-rounded"] {
	overflow: clip;
}
.u-rounded {
	--round: 0.625em;
	border-radius: var(--round);
	@media print, screen and (min-width: 576px) {
		--round-sm: var(--round);
		border-radius: var(--round-sm);
	}
	@media print, screen and (min-width: 768px) {
		--round-md: var(--round-sm);
		border-radius: var(--round-md);
	}
	@media print, screen and (min-width: 992px) {
		--round-lg: var(--round-md);
		border-radius: var(--round-lg);
	}
	@media print, screen and (min-width: 1200px) {
		--round-xl: var(--round-lg);
		border-radius: var(--round-xl);
	}
	@media print, screen and (min-width: 1400px) {
		--round-xxl: var(--round-xl);
		border-radius: var(--round-xxl);
	}
}

.u-rounded-_25 {
	border-radius: 0.25rem !important;
}
.u-rounded-_5 {
	border-radius: 0.5rem !important;
}
.u-rounded-_75 {
	border-radius: 0.75rem !important;
}
.u-rounded-1 {
	border-radius: 1rem !important;
}
.u-rounded-1_5 {
	border-radius: 1.5rem !important;
}
.u-rounded-1_25 {
	border-radius: 1.25rem !important;
}
.u-rounded-2 {
	border-radius: 2rem !important;
}
.u-rounded-3 {
	border-radius: 3rem !important;
}

.--round-top {
	border-bottom-right-radius: unset !important;
	border-bottom-left-radius: unset !important;
}
.--round-bottom {
	border-top-right-radius: unset !important;
	border-top-left-radius: unset !important;
}
.--round-right {
	border-top-left-radius: unset !important;
	border-bottom-left-radius: unset !important;
}
.--round-left {
	border-top-right-radius: unset !important;
	border-bottom-right-radius: unset !important;
}
.--round-trans-up {
	border-top-left-radius: unset !important;
	border-bottom-right-radius: unset !important;
}
.--round-trans-down {
	border-top-right-radius: unset !important;
	border-bottom-left-radius: unset !important;
}

/*---------- はみ出させる ----------*/
.u-over {
	margin-inline: var(--oversize);
}
/* 右に */
.u-r-over {
	margin-right: var(--oversize);
}
@media print, screen and (min-width: 768px) {
	.u-r-md-over {
		margin-right: var(--oversize);
	}
}
@media print, screen and (min-width: 992px) {
	.u-r-lg-over {
		margin-right: var(--oversize);
	}
}
/* 左に */
.u-l-over {
	margin-left: var(--oversize);
}
@media print, screen and (min-width: 768px) {
	.u-l-md-over {
		margin-left: var(--oversize);
	}
}
@media print, screen and (min-width: 992px) {
	.u-l-lg-over {
		margin-left: var(--oversize);
	}
}

/*---------- Swiper ----------*/
/* 滑らかに */
.u-swiper-liner .swiper-wrapper {
	-webkit-transition-timing-function: linear !important;
	-o-transition-timing-function: linear !important;
	transition-timing-function: linear !important;
}

/* ========================================
パーツ
======================================== */
/*---------- アイコン（アイコンフォント想定。大きさはp-*やfs-*、個別にwidth・height指定して調整。） ----------*/
.c-icon {
	aspect-ratio: 1 / 1;
	speak: none;
	display: inline-block;
	vertical-align: bottom;
	line-height: 1;

	--icon-size: 1.5em;
	width: var(--icon-size);
	height: var(--icon-size);
	@media print, screen and (min-width: 576px) {
		--icon-size-sm: var(--icon-size);
		width: var(--icon-size-sm);
		height: var(--icon-size-sm);
	}
	@media print, screen and (min-width: 768px) {
		--icon-size-md: var(--icon-size-sm);
		width: var(--icon-size-md);
		height: var(--icon-size-md);
	}
	@media print, screen and (min-width: 992px) {
		--icon-size-lg: var(--icon-size-md);
		width: var(--icon-size-lg);
		height: var(--icon-size-lg);
	}
	@media print, screen and (min-width: 1200px) {
		--icon-size-xl: var(--icon-size-lg);
		width: var(--icon-size-xl);
		height: var(--icon-size-xl);
	}
	@media print, screen and (min-width: 1400px) {
		--icon-size-xxl: var(--icon-size-xl);
		width: var(--icon-size-xxl);
		height: var(--icon-size-xxl);
	}

	img {
		width: 100%;
		height: 100%;
		object-fit: contain;
		speak: none;
	}

	&.--cover img {
		object-fit: cover;
	}
}

/*---------- アイコンとテキスト（ボタンによく使う） ----------*/
/* 余白の微調整は「gap-*」 */
.c-icon-text {
	display: grid;
	grid-template-columns: repeat(2, auto);
	column-gap: 0.75em;
	justify-content: center;
	align-items: center;

	/* アイコンだけ右寄せ */
	&.--r {
		grid-template-columns: 1fr auto;
	}
	/* アイコンだけ左寄せ */
	&.--l {
		grid-template-columns: auto 1fr;
	}
}

/*---------- レイアウト ----------*/
/* display: grid;で重ねる */
.l-overlap {
	display: grid;
	> * {
		grid-area: 1 / -1;
	}
}
#tinymce,
.editor_block {
	.l-overlap {
		> * {
			grid-area: unset !important;
			z-index: 1 !important;
			opacity: 1 !important;
		}
	}
}

/* 子要素を中央配置 */
/* 縦 */
.l-v-center {
	display: flex;
	flex-direction: column;
	justify-content: center;
}
/* 縦横中央 */
.l-center {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

/*---------- 背景のベース ----------*/
/* 背景画像を敷く場合、
背景画像に各色のフィルターをかける場合
疑似要素を配置したいときのベース */
.p-bg {
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	position: relative;
	z-index: 1;
	/* opacity（濃さ）はstyleでCSS変数を書き換える
	ex) style="--bg-opacity: 0.5;" */
	--bg-opacity: 0.3;

	/* 疑似要素のファンデーション */
	&::before,
	&::after {
		content: "";
		display: block;
		position: absolute;
		inset: 0;
		width: 100%;
		height: 100%;
		z-index: -1;
		background-repeat: no-repeat;
		background-size: cover;
		background-position: center;
		border-radius: inherit;
		pointer-events: none;
		speak: none;
		opacity: var(--bg-opacity);
	}
	/* 画像の時 */
	&.--img::before,
		&.--img::after {
			z-index: 1;
	}
	/* グレースケール透明フィルター */
	&.--bl::before {
		background-color: var(--bl);
	}
	&.--def::before {
		background-color: var(--DEF);
	}
	&.--dgry::before {
		background-color: var(--DGRY);
	}
	&.--gry::before {
		background-color: var(--GRY);
	}
	&.--lgry::before {
		background-color: var(--LGRY);
	}
	&.--wh::before {
		background-color: var(--WHT);
	}
	/* メインカラーフィルター */
	&.--main::before {
		background-color: var(--MAIN);
	}
	&.--lmain::before {
		background-color: var(--LMAIN);
	}
	/* アクセントカラーフィルター */
	&.--accent::before {
		background-color: var(--ACC);
	}
	&.--laccent::before {
		background-color: var(--LACC);
	}
	/* 補助色カラーフィルター */
	&.--other::before {
		background-color: var(--OTH);
	}
	&.--lother::before {
		background-color: var(--LOTH);
	}
	/* グラデーションカラーフィルター */
	&.--grad-01::before {
		background: var(--grad-01);
	}
	&.--grad-01-rev::before {
		background: var(--grad-01-rev);
	}
	&.--grad-02::before {
		background: var(--grad-02);
	}
	&.--grad-02-rev::before {
		background: var(--grad-02-rev);
	}
	&.--grad-03::before {
		background: var(--grad-03);
	}
	&.--grad-03-rev::before {
		background: var(--grad-03-rev);
	}

	/* ぼかしフィルター
	強さはstyleでCSS変数を書き換える
	ex) style="--blur: 1em;" */
	&.--blur {
		--blur: 0.5rem;
	}
	&.--blur::after {
		backdrop-filter: blur(var(--blur));
		opacity: 1;
	}
}

/*---------- ホバーアクション ----------*/
.c-hover {
	transition: var(--transition);
	text-decoration: none;
	&:hover {
		text-decoration: none;
	}
	/* 背景色 */
	&.--bg-bl:hover {
		background-color: var(--bl);
	}
	&.--bg-def:hover {
		background-color: var(--DEF);
	}
	&.--bg-dgry:hover {
		background-color: var(--DGRY);
	}
	&.--bg-gry:hover {
		background-color: var(--GRY);
	}
	&.--bg-lgry:hover {
		background-color: var(--LGRY);
	}
	&.--bg-wh:hover {
		background-color: var(--WHT);
	}
	&.--bg-main:hover {
		background-color: var(--MAIN);
	}
	&.--bg-lmain:hover {
		background-color: var(--LMAIN);
	}
	&.--bg-accent:hover {
		background-color: var(--ACC);
	}
	&.--bg-laccent:hover {
		background-color: var(--LACC);
	}
	&.--bg-other:hover {
		background-color: var(--OTH);
	}
	&.--bg-lother:hover {
		background-color: var(--LOTH);
	}
	/* 動き */
	&.--up,
	.--up {
		--translate-up: -0.125rem;
		transition: var(--transition);
	}
	&.--up:hover,
		&:hover .--up {
			transform: translateY(var(--translate-up));
	}
	&.--down,
	.--down {
		--translate-down: 0.125rem;
		transition: var(--transition);
	}
	&.--down:hover,
		&:hover .--down {
			transform: translateY(var(--translate-down));
	}
	&.--right,
	.--right {
		--translate-right: 0.125rem;
		transition: var(--transition);
	}
	&.--right:hover,
		&:hover .--right {
			transform: translateX(var(--translate-right));
	}
	&.--left,
	.--left {
		--translate-left: -0.125rem;
		transition: var(--transition);
	}
	&.--left:hover,
		&:hover .--left {
			transform: translateX(var(--translate-left));
	}
	&.--scale-up,
	.--scale-up {
		--scale: scale(1.1);
		img {
			transition: var(--transition);
		}
		&:hover img {
			transform: var(--scale);
		}
	}
	/* あしらい */
	&.--underline:hover {
		text-decoration: underline;
	}
	&.--opacity {
		--opacity: 0.8;
		&:hover {
			opacity: var(--opacity);
		}
	}
	/* l-overlapで重ねた要素のうち、ホバーしたら--afterが表示される */
	&.--overlap {
		.--after {
			opacity: 0;
			transition: var(--transition);
		}
		&:hover .--after {
			opacity: 1;
		}
	}
	/* 下線が伸びる */
	&.--bottom-line {
		position: relative;
		padding-bottom: min(0.5em, 5%);
		&::after {
			content: "";
			width: 0%;
			height: 2px;
			background-color: currentColor;
			position: absolute;
			bottom: -1px;
			left: 0;
			transition: 0.3s cubic-bezier(0.42, 0, 0.13, 0.99);
		}
		&:hover::after {
			@media (hover: hover) and (pointer: fine) {
				width: 100%;
			}
		}
	}
	/* 下線が伸びる（子要素の場合） */
	.--bottom-line {
		position: relative;
		padding-bottom: min(0.5em, 5%);
		&::after {
			content: "";
			width: 0%;
			height: 2px;
			background-color: currentColor;
			position: absolute;
			bottom: -1px;
			left: 0;
			transition: 0.3s cubic-bezier(0.42, 0, 0.13, 0.99);
		}
	}
	&:hover .--bottom-line::after {
		@media (hover: hover) and (pointer: fine) {
			width: 100%;
		}
	}
	/* shadowを入れる */
	&.--shadow:hover {
		@media (hover: hover) and (pointer: fine) {
			/* box-shadow: 0 .5em 1em currentColor; */
			box-shadow: 0 0.5em 1em rgb(0 0 0 / 30%);
		}
	}
}

.articleCard__title {
	display: inline;
	overflow: hidden;
	/* font-size: 1rem; */
	/* font-weight: 700; */
	/* line-height: 1.6; */
	background-image: linear-gradient(90deg, currentColor, currentColor);
	background-repeat: no-repeat;
	background-position: bottom 0 left 0;
	background-size: 0 1px;
	transition-duration: 0.3s;
	transition-property: background-size;
}

@media (hover: hover) {
	.articleCard__title:is(:where(:-webkit-any-link, :enabled, summary):hover *) {
		background-size: 100% 1px;
	}

	.articleCard__title:is(:where(:any-link, :enabled, summary):hover *) {
		background-size: 100% 1px;
	}
}


/* ==================================
ヘッダー
===================================== */
/*---------- ロゴ ----------*/
.p-header {
	.lib-header__logo img {
		/* width: 62px; */
		width: 200px;
	}
	.lib-header__logo .l-overlap {
		.--before
		.--after {
			transition: var(--transition);
		}
		.--after {
			opacity: 0;
		}
	}
}
@media print, screen and (min-width: 992px) {
	.p-header {
		.lib-header__logo img {
			/* width: 120px; */
			width: 250px;
		}
		.lib-utility__item~li::before {
			content: unset;
		}
	}
	.is-scroll {
		.p-header {
			.lib-header__logo img {
				/* width: 62px; */
				width: 200px;
			}
		}
	}
}

/*---------- TOP ----------*/
html:has(.p-mv) {
	#wrapper {
		padding-top: 0;
	}
	.p-header {
		&.lib-header__outer.lib-header-BS02 {
			transition: var(--transition);
			.lib-header__bar {
				background-color: transparent;
			}
			.lib-nav__btn > .txt::before {
				background-color: currentColor;
			}
		}
	}
	&:not(.is-scroll) {
		.p-header {
			&.lib-header__outer.lib-header-BS02 {
				box-shadow: unset;
				/* background-color: unset; */
				background-color: rgb(234 239 245 / 60%);
				&:has(.is-open) {
					background-color: var(--WHT);
				}
			}
			.lib-header__logo .l-overlap {
				.--before {
					opacity: 0;
				}
				.--after {
					opacity: 1;
				}
			}
			/* @media print, screen and (min-width: 992px) {
				.lib-utility__item a:not([class*=__btn]),
				.lib-nav__btn {
					color: var(--WHT);
				}
			} */
		}
	}
}
html:has(.p-mv) .is-overlay {
	.p-header {
		&.lib-header__outer.lib-header-BS02 {
			background-color: var(--WHT);
		}
		.lib-header__logo .l-overlap {
			.--before {
				opacity: 1;
			}
			.--after {
				opacity: 0;
			}
		}
		@media print, screen and (min-width: 992px) {
			.lib-utility__item a:not([class*=__btn]),
			.lib-nav__btn {
				color: var(--DEF);
			}
		}
	}
}

@media print, screen and (max-width: 991px) {
	html:has(.p-mv) {
		.p-header {
			&.lib-header__outer.lib-header-BS02 {
				.lib-nav__panel.is-open,
				.lib-nav__list {
					box-shadow: unset;
				}
			}
		}
		&:not(.is-scroll) {
			.p-header {
				&.lib-header__outer.lib-header-BS02 {
					.lib-header__bar {
						-webkit-box-shadow: none;
						box-shadow: none;
					}
				}
			}
		}
	}
}

/* 高さ変更 */
@media print, screen and (min-width: 992px) {
	html:not(.is-scroll) {
		.p-header.lib-header__outer {
			height: 80px;
		}
		.p-header.lib-header__outer.lib-header-BS02 .lib-induce__outer {
			height: 80px;
		}
		.p-header.lib-header__outer.typeM .lib-child__panel {
			top: 80px;
		}
		.p-header.lib-header__outer.lib-header-BS02 .lib-nav__outer>* {
			margin-top: 0;
		}
	}
	html:not(:has(.p-mv)) #wrapper:has(.p-header.lib-header-BS02) {
		padding-top: 80px;
	}
}


/* ========================================
フッター
======================================== */
.lib-footer__guidance > li ~ li::before {
	background-color: currentColor;
}


/* ========================================
TOP
======================================== */
/* .p-mv {
.c-hero-txt {
margin-top: -5rem !important;
}
.c-hero-news {
margin-top: 3em !important;
}
@media print, screen and (min-width: 992px) {
.c-hero-txt,
.c-hero-news {
margin-top: 0 !important;
position: absolute;
bottom: 0;
left: 0;
right: 0;
width: 100%;
}
}

.p-bg.--mv::before {
left: calc((100vw - 100%) / 2 * -1);
width: unset;
}
} */
.p-mv {
	.c-hero-txt {
		position: absolute;
		bottom: 5rem;
		left: 0;
		right: 0;
		width: 100%;
		@media print, screen and (min-width: 768px) {
			bottom: 0;
		}
	}
	.c-hero-news {
		position: absolute;
		bottom: 0;
		left: 0;
		right: 0;
		width: 100%;
	}
}

a.c-icon-text [class*="material-symbols"] {
	transition: var(--transition);
}
a.c-icon-text:hover [class*="material-symbols"] {
	transform: translateX(5%);
}

/*---------- 会社・制度を知る ----------*/
.p-top-company {
	.lib-wide__outer.p-bg::before {
		background-color: #E5F2FB;
		opacity: 1;
		height: 65%;
	}
}
/*---------- 会社・制度を知る ----------*/
/* .u-career-slider-sp-height {
height: 536px;
}
@media screen and (max-width: 991px) {
.u-career-slider-sp-height {
height: 351px;
}
} */

.swiperVertical {
	.slider-wrapper {
		display: grid; /* slideのmargin-bottom値を全て内包させる為 */
	}
	.thumb {
		margin-bottom: 1rem;
	}
}

@keyframes vertical-animation {
	from {
		transform: translateY(0);
	}

	to {
		transform: translateY(-100%);
	}
}
.swiperVertical .slider-wrapper {
	animation: vertical-animation 60s linear infinite;
}

@keyframes vertical-animation-reverse {
	from {
		transform: translateY(-100%);
	}

	to {
		transform: translateY(0);
	}
}
.swiperVertical.--Reverse .slider-wrapper {
	animation: vertical-animation-reverse 60s linear infinite;
}

/*---------- お知らせ ----------*/
.p-top-news {
	.l-grid {
		@media (min-width: 992px) {
			display: grid;
			/* grid-template-columns: auto 1fr; */
			grid-template-columns: 4fr 8fr;
			/* gap: 1em 10%; */
			.l-head {
				grid-area: 1 / 1 / 2 / 2;
			}
			.l-article {
				grid-area: 1 / 2 / 3 / 3;
			}
			.l-btn {
				grid-area: 2 / 1 / 3 / 2;
			}
		}
	}
}


/* ========================================
下層
======================================== */
/*---------- 下層MV ----------*/
html:has(.p-header) {
	.lib-hero__outer {
		background-color: unset;
		.c-under-mv-text-en {
			font-family: "Jost", sans-serif;
			font-size: clamp( 3rem, calc( 0.8048780487804876rem + 9.365853658536585vw ), 9rem );
			line-height: 1;
			font-weight: bold;
			color: var(--LACC);
			margin-bottom: -.3em;
			&:first-letter {
				text-transform: capitalize;
			}
		}
	}
}

/*---------- 転職ストーリー ----------*/
.p-bg.--angle::before {
	background-color: var(--angle-color);
	opacity: 1;
	top: -1.25em;
	bottom: -1.25em;
	width: unset;
	height: unset;
	clip-path: polygon(100% 0, 100% calc(100% - 1em), 50% 100%, 0 calc(100% - 1em), 0 0, 50% 1em);
}
@media print, screen and (min-width: 768px) {
	.p-bg.--angle::before {
		top: 0;
		bottom: 0;
		left: -2em;
		right: -2em;
		clip-path: polygon(calc(100% - 2em) 0%, 100% 50%, calc(100% - 2em) 100%, 0% 100%, 2em 50%, 0% 0%);
	}
}
.p-flow-arrow {
	.col:first-of-type {
		.p-bg.--angle::before {
			clip-path: polygon(100% 0, 100% calc(100% - 1em), 50% 100%, 0 calc(100% - 1em), 0 0, 50% 0);
			top: 0;
		}
	}
	@media print, screen and (min-width: 768px) {
		.col:first-of-type {
			.p-bg.--angle::before {
				clip-path: polygon(calc(100% - 2em) 0%, 100% 50%, calc(100% - 2em) 100%, 0% 100%, 0 50%, 0% 0%);
				left: 0;
			}
		}
	}
	@media print, screen and (min-width: 768px) {
		.col:last-of-type {
			.p-bg.--angle::before {
				right: 0;
			}
		}
	}
}

/*---------- 先輩社員の声 ----------*/
@media print, screen and (min-width: 992px) {
	.js-media__outer-3cols {
		.lib-sld-001__slider>.swiper-wrapper:not([id]) .swiper-slide {
			width: calc(33.33% - 16px);
		}
	}
}

/*---------- よくある質問 ----------*/
.lib-cnt-021__btn.lib-toggle__btn:hover {
	background-color: unset;
}
.lib-cnt-021__btn:before,
.lib-cnt-021__panel:before {
	font-family: "Jost", sans-serif;
}


/* ========================================
投稿
======================================== */
/*---------- ページネーション ----------*/
.p-navi {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	/* align-items: baseline; */
	align-items: center;
	gap: 0.5em;
}
.p-navi .page-numbers {
	min-width: 2em;
	min-height: 2em;
	text-align: center;
	line-height: 1;
	display: inline-flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	/* border: 1px solid var(--DEF); */
	border-radius: 50em;
	text-decoration: none;
	font-size: .875em;
}
@media print, screen and (min-width: 768px) {
	.p-navi .page-numbers {
		font-size: 1em;
	}
}
@media print, screen and (min-width: 1400px) {
	.p-navi .page-numbers {
		font-size: 1.25em;
	}
}
.p-navi .page-numbers.current,
.p-navi a.page-numbers:hover {
	background-color: var(--MAIN);
	color: var(--WHT);
}
.p-navi .page-numbers.prev,
.p-navi .page-numbers.next {
	border: 1px solid var(--MAIN);
}


/* ========================================
Contactform - お問い合わせフォーム
======================================== */
.wpcf7-spinner {
	display: none;
}